Could not find match for ^\w+\W hatası

Kivy ve Python la yazdığım müzik indirme ve video indirmeyi sağlayan(pytube) kodum bir anda bozuldu aldığım hata ise şu :
`Exception in thread Thread-4:
Traceback (most recent call last):
File “C:\Users\alper\PycharmProjects\python\venv\lib\site-packages\pytube_main_.py”, line 177, in fmt_streams
extract.apply_signature(stream_manifest, self.vid_info, self.js)
File “C:\Users\alper\PycharmProjects\python\venv\lib\site-packages\pytube\extract.py”, line 409, in apply_signature
cipher = Cipher(js=js)
File “C:\Users\alper\PycharmProjects\python\venv\lib\site-packages\pytube\cipher.py”, line 33, in init
raise RegexMatchError(
pytube.exceptions.RegexMatchError: init: could not find match for ^\w+\W

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:\Program Files\WindowsApps\PythonSoftwareFoundation.Python.3.9_3.9.2032.0_x64__qbz5n2kfra8p0\lib\threading.py”, line 973, in _bootstrap_inner
self.run()
File “C:\Program Files\WindowsApps\PythonSoftwareFoundation.Python.3.9_3.9.2032.0_x64__qbz5n2kfra8p0\lib\threading.py”, line 910, in run
self._target(*self.args, **self.kwargs)
File “C:\Users\alper\PycharmProjects\python\SCRİPTS\Music2\saas.py”, line 816, in downa
v = yt.streams.filter(only_audio=True).first()
File "C:\Users\alper\PycharmProjects\python\venv\lib\site-packages\pytube_main
.py", line 292, in streams
return StreamQuery(self.fmt_streams)
File "C:\Users\alper\PycharmProjects\python\venv\lib\site-packages\pytube_main
.py", line 184, in fmt_streams
extract.apply_signature(stream_manifest, self.vid_info, self.js)
File “C:\Users\alper\PycharmProjects\python\venv\lib\site-packages\pytube\extract.py”, line 409, in apply_signature
cipher = Cipher(js=js)
File “C:\Users\alper\PycharmProjects\python\venv\lib\site-packages\pytube\cipher.py”, line 33, in init
raise RegexMatchError(
pytube.exceptions.RegexMatchError: init: could not find match for ^\w+\W
`
neden olduğunu bilmiyorum ama sanıyorum ki pytube ile alakalı (pytube sürümüm güncel) neden olduğu konusunda yardım edebilir misiniz? Teşekkürler…

İnternette aratmış mıydınız hatayı? Yeni çıkmış ortaya.

evet hatayı arattım 1 saat önce başka bir forumda benle aynı hatayı alan birisi olmuş sebebi pytube muş.githubda da eski bir konu buldum ancak oradaki çözümü denediğimde çalışmadı.arattığımda başka da bir sonuç çıkmadı zaten. @Then_Shiffman

Şurayı takip etmiş miydiniz https://github.com/pytube/pytube/issues/1199

evet burdaki çözümü deneyince oldu Çözüm:

pytube un cipher.py isimli dosyasındaki 30.satırdaki r "" kısmının içini  "^\$*\w+\W" yaparsanız sorun düzelecektir.

Teşekkürler

1 Beğeni